This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 752908 - fldigi will not install on Fedora 16
fldigi will not install on Fedora 16
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fldigi (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On: 716125
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 13:54 EST by John J. McDonough
Modified: 2013-01-13 07:08 EST (History)
4 users (show)

See Also:
Fixed In Version: fldigi-3.21.34-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-03 20:55:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John J. McDonough 2011-11-10 13:54:24 EST
Description of problem:
fldigi will not install on Verne


Version-Release number of selected component (if applicable):
3.21.7

How reproducible:
reproducible

Steps to Reproduce:
1. yum install fldigi
2.
3.
  
Actual results:
Error: Package: fldigi-3.21.7-1.fc16.x86_64 (fedora)
           Requires: libfltk_images.so.1.1()(64bit)
Error: Package: fldigi-3.21.7-1.fc16.x86_64 (fedora)
           Requires: libfltk.so.1.1()(64bit)


Expected results:
Success

Additional info:
I tried downloading the SRPM and building it, but there were some missing symbols that I couldn't easily sort out.
Comment 1 Randall "Randy" Berry 2011-11-10 16:01:11 EST
Fldigi uses fltk 1.1, F16 uses fltk 1.3. There is some code still in fldigi currently that makes 1.3 puke so no package can be built against the new fltk libraries. Upstream is aware of the problem. Hopefully it will be resolved soon.

There is an open bug for the FTBFS
https://bugzilla.redhat.com/show_bug.cgi?id=716125
Comment 2 Fedora Update System 2012-01-03 00:59:11 EST
fldigi-3.21.34-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fldigi-3.21.34-2.fc16
Comment 3 Randall "Randy" Berry 2012-01-03 01:04:15 EST
(In reply to comment #2)
> fldigi-3.21.34-2.fc16 has been submitted as an update for Fedora 16.
> https://admin.fedoraproject.org/updates/fldigi-3.21.34-2.fc16

Fldigi finally builds for F16. This is a VERY important bug for allot of people. Please be sure to add karma if it works for you to speed up the journey to stable. 

Thanks, 

de Randy, N3LRX
Comment 4 Brian Mury 2012-01-03 01:26:01 EST
Working for me (using the x86_64 package), karma added.
Comment 5 Fedora Update System 2012-01-03 20:55:18 EST
fldigi-3.21.34-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.